Create a new knowledge base for an agent.
curl --request POST \
--url https://api.zavu.dev/v1/senders/{senderId}/agent/knowledge-bases \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Product FAQ",
"description": "Frequently asked questions about our products"
}
'{
"knowledgeBase": {
"id": "<string>",
"agentId": "<string>",
"name": "<string>",
"documentCount": 123,
"totalChunks": 123,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"description": "<string>"
}
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Knowledge base created.
Show child attributes
curl --request POST \
--url https://api.zavu.dev/v1/senders/{senderId}/agent/knowledge-bases \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Product FAQ",
"description": "Frequently asked questions about our products"
}
'{
"knowledgeBase": {
"id": "<string>",
"agentId": "<string>",
"name": "<string>",
"documentCount": 123,
"totalChunks": 123,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"description": "<string>"
}
}